Fehlermeldung 4.8.20

Gesperrt
lunsen_de
Beiträge: 202
Registriert: Mo 17. Okt 2005, 20:26
Wohnort: Weimar
Kontaktdaten:

Fehlermeldung 4.8.20

Beitrag von lunsen_de » Do 10. Dez 2015, 18:28

Hallo,

nach einem Upgrade von 4.8.19 auf 4.8.20 erscheint folgende Fehlermeldung in der Errorlog (ich denke nach Aufruf CONTENT - LINKCHECKER):

Code: Alles auswählen

[10-Dec-2015 18:17:33 Europe/Berlin] PHP Deprecated:  Non-static method PEAR::raiseError() should not be called statically, assuming $this from incompatible context in /homepages/7/kundennummer/htdocs/pear/Cache/Lite.php on line 538
An der Stelle in der Lite.php steht (538 ist return PEAR.....):

Code: Alles auswählen

    function raiseError($msg, $code)
    {
        include_once('PEAR.php');
        return PEAR::raiseError($msg, $code, $this->_pearErrorMode);
    }
Die Datei ist bei 4.8.19 und 4.8.20 absolut identisch.

Account ist bei 1und1.

Kann jemand helfen?

Grtunß Lunsen_de

rethus
Beiträge: 1827
Registriert: Di 28. Mär 2006, 11:55
Wohnort: Mönchengladbach
Kontaktdaten:

Re: Fehlermeldung 4.8.20

Beitrag von rethus » Fr 11. Dez 2015, 11:47

Es ist "nur, eine deprecated Meldung, sollte demnach keinen Fehler erzeugen. Haut es dir im Frontend unschöne Error-Messages dazwischen, kannst du das Error-Logging entsprechend anpassen, indem du E-Strict und E-Deprecated Meldungen nicht angezeigen lässt (in der php.ini oder in contenido/includes/config.misc.php)

Die Meldung besagt, dass du die Methode raiseError() nicht mehr statisch aufrufen kannst - also via PEAR::raiseError.
Dieser Fehler ist aber im eigentlichen Sinne kein Contenido-Fehler, sondern bei PEAR selbst nicht unbekannt: http://pear.php.net/bugs/bug.php?id=18398

Du kannst nun das Error-Reporting dahingehend ändern, dass E-Strict und E-Deprecated Meldungen nicht angezeigt werden.

Möchtest du im PEAR-Core rumhacken, könntest du versuchen an besagter Stelle zuvor ein PEAR-Objekt zu instanziieren und dann die Methode darauf aufrufst:

Code: Alles auswählen

        include_once('PEAR.php');
        $p = new PEAR;
        return PEAR->raiseError($msg, $code, $this->_pearErrorMode);
Could I help you... you can help me... buy me a coffee . (vielen ❤ Dank an: Seelauer, Peanut, fauxxami )

xstable - Onlineshops, Hosting, Domains und Webentwicklung
suther.de - Webentwicklung, IT-Service, IT-Beratung, Linux-Administration

Software... ein Blick wert: GoogleCalender Eventlist, xst_dynamic_contentType

Zuschauer
Beiträge: 140
Registriert: Do 5. Dez 2013, 08:57
Kontaktdaten:

Re: Fehlermeldung 4.8.20

Beitrag von Zuschauer » Fr 11. Dez 2015, 13:11

rethus hat geschrieben:

Code: Alles auswählen

        include_once('PEAR.php');
        $p = new PEAR;
        return PEAR->raiseError($msg, $code, $this->_pearErrorMode);
Der Code ist falsch, in der letzten Zeile sollte noch PEAR durch $p ersetzt werden.

Gruß
Zuschauer

rethus
Beiträge: 1827
Registriert: Di 28. Mär 2006, 11:55
Wohnort: Mönchengladbach
Kontaktdaten:

Re: Fehlermeldung 4.8.20

Beitrag von rethus » Fr 11. Dez 2015, 16:53

Jep, hast recht. Hatte es nur schnell zusammengehackt. Danke für die Verbesserung.
Could I help you... you can help me... buy me a coffee . (vielen ❤ Dank an: Seelauer, Peanut, fauxxami )

xstable - Onlineshops, Hosting, Domains und Webentwicklung
suther.de - Webentwicklung, IT-Service, IT-Beratung, Linux-Administration

Software... ein Blick wert: GoogleCalender Eventlist, xst_dynamic_contentType

Gesperrt